From 9374d7f43f50a6295268af4eecbfa2e6452d12d0 Mon Sep 17 00:00:00 2001
From: Kieran Kunhya <kierank@obe.tv>
Date: Sat, 8 Feb 2025 16:45:33 +0000
Subject: [PATCH] checkasm/v210enc.c: Use checkasm_check_type

---
 tests/checkasm/v210enc.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/tests/checkasm/v210enc.c b/tests/checkasm/v210enc.c
index 9fb8321c25..a5a1c6ed04 100644
--- a/tests/checkasm/v210enc.c
+++ b/tests/checkasm/v210enc.c
@@ -72,10 +72,10 @@
             randomize_buffers(mask);                                               \
             call_ref(y0 + y_offset, u0 + uv_offset, v0 + uv_offset, dst0, width);  \
             call_new(y1 + y_offset, u1 + uv_offset, v1 + uv_offset, dst1, width);  \
-            if (memcmp(y0, y1, BUF_SIZE * sizeof(type))                            \
-                    || memcmp(u0, u1, BUF_SIZE * sizeof(type) / 2)                 \
-                    || memcmp(v0, v1, BUF_SIZE * sizeof(type) / 2)                 \
-                    || memcmp(dst0, dst1, width * 8 / 3))                          \
+            if (checkasm_check_##type(NULL, 0, y0, 0, y1, 0, BUF_SIZE, 0, NULL)                     \
+                    || checkasm_check_##type(NULL, 0, u0, 0, u1, 0, BUF_SIZE / 2, 0, NULL)          \
+                    || checkasm_check_##type(NULL, 0, v0, 0, v1, 0, BUF_SIZE / 2, 0, NULL)          \
+                    || checkasm_check_uint8_t(NULL, 0, dst0, 0, dst1, 0, (width * 8 / 3), 0, NULL)) \
                 fail();                                                            \
             bench_new(y1 + y_offset, u1 + uv_offset, v1 + uv_offset, dst1, width); \
         }                                                                          \
-- 
2.17.1

